| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# PersSvc.cpp File Reference

`#include "GaudiKernel/DataObject.h"`
`#include "GaudiKernel/SvcFactory.h"`
`#include "GaudiKernel/CnvFactory.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/IDataSelector.h"`
`#include "GaudiKernel/IConverter.h"`
`#include "GaudiKernel/IHistogramSvc.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "HbookDef.h"`
`#include "PersSvc.h"`
`#include <iostream>`
`#include <string>`

Include dependency graph for PersSvc.cpp:

Go to the source code of this file.

## Defines
#define | HBOOKCNV_PERSSVC_CPP
## Functions
long | dataTypePolicy ()
## Variables
static std::string | stat_dir = "/stat"
static std::string | undefFileName = "UndefinedHbookOutputFileName"
static long | s_dataTypePolicy = FLOAT_ONLY

## Define Documentation

#define HBOOKCNV_PERSSVC_CPP

Definition at line 9 of file PersSvc.cpp.

## Function Documentation

long dataTypePolicy | ( |  | ) |

Definition at line 36 of file PersSvc.cpp.

References s_dataTypePolicy.

Referenced by HbookCnv::HRWNTupleCnv::book(), HbookCnv::HRWNTupleCnv::load(), and HbookCnv::HRWNTupleCnv::readData().

    00036                         {
    00037   return s_dataTypePolicy;
    00038 }

## Variable Documentation

long s_dataTypePolicy = FLOAT_ONLY`[static]`

Definition at line 35 of file PersSvc.cpp.

Referenced by dataTypePolicy(), and HbookCnv::PersSvc::initialize().

std::string stat_dir = "/stat"`[static]`

Definition at line 31 of file PersSvc.cpp.

Referenced by HbookCnv::PersSvc::finalize(), and HbookCnv::PersSvc::initialize().

std::string undefFileName = "UndefinedHbookOutputFileName"`[static]`

Definition at line 32 of file PersSvc.cpp.

Referenced by HbookCnv::PersSvc::createRep(), HbookCnv::PersSvc::fillRepRefs(), HbookCnv::PersSvc::finalize(), HbookCnv::PersSvc::initialize(), and HbookCnv::PersSvc::PersSvc().